Loading...
Searching...
No Matches
Catch::Capturer Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Capturer:
[legend]

## Public Member Functions

| Capturer (StringRef macroName, SourceLineInfo const &lineInfo, ResultWas::OfType resultType, StringRef names)
| Capturer (Capturer const &)=delete
Capturer & | operator= (Capturer const &)=delete
| ~Capturer ()
void | captureValue (size_t index, std::string const &value)
template<typename T>
void | captureValues (size_t index, T const &value)
template<typename T, typename... Ts>
void | captureValues (size_t index, T const &value, Ts const &... values)

## Private Attributes

std::vector< MessageInfo > | m_messages
IResultCapture & | m_resultCapture
size_t | m_captured = 0

## Constructor & Destructor Documentation

## Capturer() [1/2]

Catch::Capturer::Capturer | ( | StringRef | macroName,
|  | SourceLineInfo const & | lineInfo,
|  | ResultWas::OfType | resultType,
|  | StringRef | names )

Here is the call graph for this function:
Here is the caller graph for this function:

## Capturer() [2/2]

Catch::Capturer::Capturer | ( | Capturer const & |  | ) |

delete

Here is the call graph for this function:

## ~Capturer()

Catch::Capturer::~Capturer | ( |  | ) |

Here is the call graph for this function:

## Member Function Documentation

## captureValue()

void Catch::Capturer::captureValue | ( | size_t | index,
|  | std::string const & | value )

Here is the caller graph for this function:

## captureValues() [1/2]

template<typename T>

void Catch::Capturer::captureValues | ( | size_t | index,
|  | T const & | value )

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## captureValues() [2/2]

template<typename T, typename... Ts>

void Catch::Capturer::captureValues | ( | size_t | index,
|  | T const & | value,
|  | Ts const &... | values )

inline

Here is the call graph for this function:

## operator=()

Capturer & Catch::Capturer::operator= | ( | Capturer const & |  | ) |

delete

Here is the call graph for this function:

## Member Data Documentation

## m_captured

size_t Catch::Capturer::m_captured = 0

private

## m_messages

std::vector<MessageInfo> Catch::Capturer::m_messages

private

## m_resultCapture

IResultCapture& Catch::Capturer::m_resultCapture

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp